package app15a.dao;

import app15a.util.Config;

public class DAOFactory {
  private String databaseType;
  private static DAOFactory instance;
  
  static {
  	instance = new DAOFactory();  
  }
  private DAOFactory() {
    databaseType = (String) Config.getInstance().getValue("dbType") ;
  }
  public static DAOFactory getInstance() {
    return instance;
  }
  
  public CustomerDAO getCustomerDAO() {
    if (databaseType!=null) {
      if (databaseType.equalsIgnoreCase("mysql")) {
          return new CustomerDAOMySQLImpl();
      }
    }        
    return null;
  }
}

